markdown-0.1.17.5: Convert Markdown to HTML, with XSS protection

Safe Haskell | None
Language | Haskell2010

Text.Markdown.Block

# Documentation

data Block inline Source #

Constructors

BlockPara inline |
BlockList ListType (Either inline [Block inline]) |
BlockCode (Maybe Text) Text |
BlockQuote [Block inline] |
BlockHtml Text |
BlockRule |
BlockHeading Int inline |
BlockReference Text Text |
BlockPlainText inline |

#### Instances

Instances details

Functor Block Source # |
Instance details Defined in Text.Markdown.Types Methods fmap :: (a -> b) -> Block a -> Block b Source # (<$) :: a -> Block b -> Block a Source #
Show inline => Show (Block inline) Source # |
Instance details Defined in Text.Markdown.Types Methods showsPrec :: Int -> Block inline -> ShowS Source # show :: Block inline -> String Source # showList :: [Block inline] -> ShowS Source #
Eq inline => Eq (Block inline) Source # |
Instance details Defined in Text.Markdown.Types Methods (==) :: Block inline -> Block inline -> Bool Source # (/=) :: Block inline -> Block inline -> Bool Source #

data ListType Source #

Constructors

Ordered |
Unordered |

#### Instances

Instances details

Show ListType Source # |
Instance details Defined in Text.Markdown.Types Methods showsPrec :: Int -> ListType -> ShowS Source # show :: ListType -> String Source # showList :: [ListType] -> ShowS Source #
Eq ListType Source # |
Instance details Defined in Text.Markdown.Types Methods (==) :: ListType -> ListType -> Bool Source # (/=) :: ListType -> ListType -> Bool Source #

toBlocks :: forall (m :: Type -> Type). Monad m => MarkdownSettings -> ConduitM Text (Block Text) m () Source #

toBlockLines :: Block Text -> Block [Text] Source #